// Learn TypeScript:
//  - https://docs.cocos.com/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

import spritearrow from "./spritearrow";

const {ccclass, property} = cc._decorator;

@ccclass
export default class Arrow extends cc.Component {


    @property({
        type: cc.Texture2D
    })
    arrow_green: cc.Texture2D= null;
    @property({
        type: cc.Texture2D
    })
    arrow_gray: cc.Texture2D= null;
    @property({
        type: cc.Texture2D
    })
    arrow_red: cc.Texture2D= null;
    @property({
        type: cc.Texture2D
    })
    arrow_blue: cc.Texture2D= null;
    
    @property({
        type: cc.Prefab
    })
    arrow: cc.Prefab = null;
   
    // LIFE-CYCLE CALLBACKS:

    // onLoad () {}

    start () {
      
        var a = 30
       
        for(var i=0;i<=3;i++) {
            let a1 = cc.instantiate(this.arrow)
            a1.x = (Math.random()*1024)-512
            a1.y =  (Math.random()*1024)-512
            a1.width = Math.random()*500+500
            a1.angle = i*a;
           this.node.addChild(a1)

/**
           let a2 = cc.instantiate(this.arrow2)
           a2.x = (Math.random()*1024)-512
           a2.y =  (Math.random()*1024)-512
           a2.width = Math.random()*500+500
           a2.angle = i*a;
          this.node.addChild(a2)

           let a3 = cc.instantiate(this.arrow3)
           a3.x = (Math.random()*1024)-512
           a3.y =  (Math.random()*1024)-512
           a3.width = Math.random()*500+500
           a3.angle = i*a;
          this.node.addChild(a3)

           let a4 =  cc.instantiate(this.arrow4)
           a4.x = (Math.random()*1024)-512
           a4.y =  (Math.random()*1024)-512
           a4.width = Math.random()*500+500
           a4.angle = i*a;
          this.node.addChild(a4)
   */
           
        }
    }

    // update (dt) {}
}
